Page MenuHomePhabricator

InvalidArgumentException from line 58 of includes/libs/EasyDeflate.php: Data does not begin with deflated prefix
Closed, ResolvedPublic

Description

[W2NayApAMDsAACD0P2QAAAAY] /w/api.php InvalidArgumentException from line 58 of /srv/mediawiki/php-1.32.0-wmf.15/includes/libs/EasyDeflate.php: Data does not begin with deflated prefix

Event Timeline

mmodell created this task.Aug 2 2018, 7:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2018, 7:31 PM
mmodell triaged this task as High priority.Aug 2 2018, 7:31 PM
Legoktm raised the priority of this task from High to Unbreak Now!.Aug 2 2018, 7:36 PM
Legoktm edited projects, added VisualEditor; removed MediaWiki-API, MediaWiki-General.
Legoktm added a subscriber: Legoktm.
2018-08-02 19:26:00 [W2NayApAMDsAACD0P2QAAAAY] mw1224 mkwiki 1.32.0-wmf.15 exception ERROR: [W2NayApAMDsAACD0P2QAAAAY] /w/api.php   InvalidArgumentException from line 58 of /srv/mediawiki/php-1.32.0-wmf.15/includes/libs/EasyDeflate.php: Data does not begin with deflated prefix {"exception_id":"W2NayApAMDsAACD0P2QAAAAY","exception_url":"/w/api.php","caught_by":"mwe_handler"} 
[Exception InvalidArgumentException] (/srv/mediawiki/php-1.32.0-wmf.15/includes/libs/EasyDeflate.php:58) Data does not begin with deflated prefix
  #0 /srv/mediawiki/php-1.32.0-wmf.15/extensions/VisualEditor/includes/ApiVisualEditorEdit.php(168): EasyDeflate::inflate(string)
  #1 /srv/mediawiki/php-1.32.0-wmf.15/extensions/VisualEditor/includes/ApiVisualEditorEdit.php(153): ApiVisualEditorEdit->getWikitextNoCache(Title, array, array)
  #2 /srv/mediawiki/php-1.32.0-wmf.15/extensions/VisualEditor/includes/ApiVisualEditorEdit.php(343): ApiVisualEditorEdit->getWikitext(Title, array, array)
  #3 /srv/mediawiki/php-1.32.0-wmf.15/includes/api/ApiMain.php(1579): ApiVisualEditorEdit->execute()
  #4 /srv/mediawiki/php-1.32.0-wmf.15/includes/api/ApiMain.php(533): ApiMain->executeAction()
  #5 /srv/mediawiki/php-1.32.0-wmf.15/includes/api/ApiMain.php(504): ApiMain->executeActionWithErrorHandling()
  #6 /srv/mediawiki/php-1.32.0-wmf.15/api.php(83): ApiMain->execute()
  #7 /srv/mediawiki/w/api.php(3): include(string)
  #8 {main}
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptAug 2 2018, 7:36 PM

@Legoktm: if this is ubn, then should I roll back to wmf.14?

Change 450088 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/VisualEditor@master] API: Check whether content is deflated before trying to inflate it

https://gerrit.wikimedia.org/r/450088

Change 450090 had a related patch set uploaded (by 20after4; owner: Legoktm):
[mediawiki/extensions/VisualEditor@wmf/1.32.0-wmf.15] API: Check whether content is deflated before trying to inflate it

https://gerrit.wikimedia.org/r/450090

Change 450090 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.32.0-wmf.15] API: Check whether content is deflated before trying to inflate it

https://gerrit.wikimedia.org/r/450090

Mentioned in SAL (#wikimedia-operations) [2018-08-02T20:23:28Z] <twentyafterfour@deploy1001> Synchronized php-1.32.0-wmf.15/extensions/VisualEditor/includes/ApiVisualEditorEdit.php: sync https://gerrit.wikimedia.org/r/450090/ to unbreak prod refs T201083 T191061 (duration: 00m 49s)

mmodell closed this task as Resolved.Aug 2 2018, 8:34 PM
mmodell claimed this task.

This appears to be resolved.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 2 2018, 8:34 PM

Change 450088 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] API: Check whether content is deflated before trying to inflate it

https://gerrit.wikimedia.org/r/450088

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:08 PM